// MSVC_Test_At3dx_LoadLibraryDlg.h : header file
//

#pragma once


// CMSVC_Test_At3dx_LoadLibraryDlg dialog
class CMSVC_Test_At3dx_LoadLibraryDlg : public CDialog
{
// Construction
public:
	CMSVC_Test_At3dx_LoadLibraryDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MSVC_TEST_AT3DX_LOADLIBRARY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

  HINSTANCE at3dLibHandle;
  int dllOpen;
  int fileLoaded;
  char inName[MAX_PATH];
  int useOglFlag;

  void Update_Labels(void);
  void Start_Library(void);
  void Stop_Library(void);
  void Start_DLL(void);
  void Stop_DLL(void);
  void Read_3D_File(void);

	// Generated message map functions
	virtual BOOL OnInitDialog();
  afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
  BOOL m_UseOpenGL;
  afx_msg void OnBnClicked_DoLoadLibrary();
  afx_msg void OnBnClicked_DoFreeLibrary();
  afx_msg void OnBnClicked_DoStartDll();
  afx_msg void OnBnClicked_DoStopDll();
  afx_msg void OnBnClicked_ReadObjFile();
  afx_msg void OnBnClicked_UseOpengl();
  CString m_LibraryLabel;
  CString m_DllLabel;
};
